Permalink
Browse files

Added PolarSSL to the docs

  • Loading branch information...
1 parent a131285 commit cef30e0924aff22d1c4c891ea46410794d63e2f7 @dfandrich dfandrich committed Jul 26, 2010
Showing with 10 additions and 6 deletions.
  1. +4 −4 docs/FAQ
  2. +3 −2 docs/FEATURES
  3. +3 −0 docs/INSTALL
View
@@ -400,10 +400,10 @@ FAQ
2.2 Does curl work/build with other SSL libraries?
- Curl has been written to use OpenSSL, GnuTLS, yassl or NSS, although there
- should not be many problems using a different library. If anyone does "port"
- curl to use a different SSL library, we are of course very interested in
- getting the patch!
+ Curl has been written to use OpenSSL, GnuTLS, yassl, NSS or PolarSSL,
+ although there should not be many problems using a different library. If
+ anyone does "port" curl to use a different SSL library, we are of course
+ very interested in getting the patch!
2.3 Where can I find a copy of LIBEAY32.DLL?
View
@@ -43,7 +43,7 @@ HTTP
- POST
- Pipelining
- multipart formpost (RFC1867-style)
- - authentication: Basic, Digest, NTLM(*1), GSS-Negotiate/Negotiate(*3) and
+ - authentication: Basic, Digest, NTLM(*9), GSS-Negotiate/Negotiate(*3) and
SPNEGO (*4) to server and proxy
- resume (both GET and PUT)
- follow redirects
@@ -125,11 +125,12 @@ FILE
FOOTNOTES
=========
- *1 = requires OpenSSL, GnuTLS, NSS or yassl
+ *1 = requires OpenSSL, GnuTLS, NSS, yassl or PolarSSL
*2 = requires OpenLDAP
*3 = requires a GSSAPI-compliant library, such as Heimdal or similar.
*4 = requires FBopenssl
*5 = requires a krb4 library, such as the MIT one or similar.
*6 = requires c-ares
*7 = requires OpenSSL or NSS, as GnuTLS only supports SSLv3 and TLSv1
*8 = requires libssh2
+ *9 = requires OpenSSL, GnuTLS, NSS or yassl
View
@@ -139,6 +139,9 @@ UNIX
To build with NSS support instead of OpenSSL for SSL/TLS, note that
you need to use both --without-ssl and --with-nss.
+ To build with PolarSSL support instead of OpenSSL for SSL/TLS, note that
+ you need to use both --without-ssl and --with-polarssl.
+
To get GSSAPI support, build with --with-gssapi and have the MIT or
Heimdal Kerberos 5 packages installed.

0 comments on commit cef30e0

Please sign in to comment.